EPD Extension Kit for MSP430 LaunchPad

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
main.c File Reference

Sample project code for demonstrating Pervasive Displays Inc. 1.44", 2" or 2.7" EPD. More...

`#include "Pervasive_Displays_small_EPD.h"`
`#include "image_data.h"`

## Macros
#define | DCO_1MHz 0
| Demonstration by EPD Extension board on EPD for showing the images alternatively or working with EPD Kit Tool. More...
#define | DCO_8MHz 1
#define | DCO_12MHz 2
#define | DCO_16MHz 3

## Functions
void | set_MCU_frequency (uint8_t select_index)
| Set CPU work Frequency. More...
void | system_init (void)
| LaunchPad initialization.
int | main (void)
| The main function will start showing two images alternatively on corresponding EPD depends on specified EPD size or work with EPD Kit Tool. More...

## Detailed Description

Sample project code for demonstrating Pervasive Displays Inc. 1.44", 2" or 2.7" EPD.

Note
  There is quick start guide at the end of this file

Copyright (c) 2012-2013 Pervasive Displays Inc. All rights reserved.

Authors: Pervasive Displays Inc.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Macro Definition Documentation

#define DCO_1MHz 0

Demonstration by EPD Extension board on EPD for showing the images alternatively or working with EPD Kit Tool.

Content
  1. Include Pervasive_Displays_small_EPD.h: EPD definitions
  2. Include if defined EPD_KIT_TOOL_FUNCTIONS, include EPD_Kit_Tool_Process.h for working with EPD Kit Tool, or include image_data.h to load image data array

## Function Documentation

int main | ( | void |  | ) |

The main function will start showing two images alternatively on corresponding EPD depends on specified EPD size or work with EPD Kit Tool.

Note
  EPD size: EPD_144 = 1.44 inch, EPD_200 = 2 inch, EPD_270 = 2.7 inch

if working with EPD Kit Tool (default)

if showing two images alternatively

void set_MCU_frequency | ( | uint8_t | select_index | ) |

Set CPU work Frequency.

Parameters

  select_index | The defined CPU frequency